package com.ibtp.kontor.tradingcards.dal;

import com.ibtp.kontor.tradingcards.entity.PositionEntity;

import java.util.Collection;
import java.util.List;

/**
 * Created by TPEETZ on 27.01.2015.
 */
interface PositionDao {

    public PositionEntity getById(Long id);

    public Collection<PositionEntity> findByIds(List<Long> ids);

    public Collection<PositionEntity> findByName(String name);

    public Collection<PositionEntity> findAll();

    public PositionEntity addPosition(String name);

    public PositionEntity store(PositionEntity entity);

    public void delete(PositionEntity entity);
}
